aboutsummaryrefslogtreecommitdiff
path: root/tests/docker/build_flatc.run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/docker/build_flatc.run.sh')
-rwxr-xr-xtests/docker/build_flatc.run.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/docker/build_flatc.run.sh b/tests/docker/build_flatc.run.sh
new file mode 100755
index 00000000..c8885b19
--- /dev/null
+++ b/tests/docker/build_flatc.run.sh
@@ -0,0 +1,15 @@
+set -e
+
+JOBS=${JOBS:-1}
+config=$1
+echo ""
+echo "Build 'flatc' compiler for '$config'"
+
+cmake . -DCMAKE_BUILD_TYPE=$config \
+ -DFLATBUFFERS_BUILD_FLATC=1 -DFLATBUFFERS_STATIC_FLATC=1 \
+ -DFLATBUFFERS_BUILD_TESTS=0 -DFLATBUFFERS_INSTALL=0
+cmake --build . --target flatc --clean-first -- -j$JOBS
+
+echo "Check generated code"
+.travis/check-generate-code.sh
+echo "Done"